/*  This file is part of the KDE project
    Copyright (C) 2006 basysKom GmbH <info@basyskom.de>
    Copyright (C) 2006 ROAD GmbH <info@road-gmbh.de>

    This library is free software; you can redistribute it and/or
    modify it under the terms of the GNU Library General Public
    License as published by the Free Software Foundation; either
    version 2 of the License, or (at your option) any later version.

    This library is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
    Library General Public License for more details.

    You should have received a copy of the GNU Library General Public License
    along with this library; see the file COPYING.LIB.  If not, write to
    the Free Software Foundation, Inc., 51 Franklin Street, Fifth Floor,
    Boston, MA 02110-1301, USA.
*/

#include "objectdeleter.h"


ObjectDeleter::ObjectDeleter( QObject *parent, const char *name )
        : QObject( parent, name )
{
    if ( parent )                           // has a parent widget
        parent->installEventFilter( this ); // then install filter
}

bool ObjectDeleter::eventFilter( QObject *o, QEvent *e )
{
    if ( e->type() == ObjectDeleter::DeferredLater )
    {
		QCustomEvent* ce = static_cast<QCustomEvent*>(e);
//        delete ce->data();
        return TRUE;                        // eat event
    }
    return QObject::eventFilter( o, e );    // standard event processing
}
