#include <config.h>
#if defined(ENABLE_BOOKMARKS)

#ifndef BOOKMARKEDITORBASE_H
#define BOOKMARKEDITORBASE_H

#include <qvariant.h>
#include <qdialog.h>
class QVBoxLayout; 
class QHBoxLayout; 
class QGridLayout; 
class QFrame;
class QListView;
class QListViewItem;
class QPushButton;
class QToolButton;

class BookmarkEditorBase : public QDialog
{ 
    Q_OBJECT

public:
    BookmarkEditorBase( QWidget* parent = 0, const char* name = 0, bool modal = FALSE, WFlags fl = 0 );
    ~BookmarkEditorBase();

    QFrame* Frame4;
    QToolButton* gotoBookmarkButton;
    QFrame* Line1_2;
    QToolButton* newFolderButton;
    QToolButton* newBookmarkButton;
    QToolButton* editBookmarkButton;
    QToolButton* deleteBookmarkButton;
    QFrame* Line1;
    QToolButton* moveUpButton;
    QToolButton* moveDownButton;
    QToolButton* moveBookmarkOutOfFolderButton;
    QToolButton* moveBookmarkIntoFolderButton;
    QPushButton* okButton;
    QPushButton* cancelButton;
    QListView* view;

protected slots:
    virtual void deleteBookmark();
    virtual void editBookmark();
    virtual void gotoBookmark();
    virtual void moveBookmarkDown();
    virtual void moveBookmarkIntoFolder();
    virtual void moveBookmarkOutOfFolder();
    virtual void moveBookmarkUp();
    virtual void newBookmark();
    virtual void newFolder();
    virtual void updateButtons();

protected:
    QGridLayout* BookmarkEditorBaseLayout;
    QHBoxLayout* Frame4Layout;
};

#endif // BOOKMARKEDITORBASE_H
#endif
