/*  This file is part of the KDE project
    Copyright (C) 2006 basysKom GmbH <info@basyskom.de>
    Copyright (C) 2006 ROAD GmbH <info@road-gmbh.de>

    This program is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation; either version 2 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program; if not, write to the Free Software
    Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA.

*/


#ifndef __bookmarkeditorhierarchical_h__
#define __bookmarkeditorhierarchical_h__

#if defined(ENABLE_BOOKMARKS)

#include <config.h>
#include "bookmarkeditorimpl.h"

class XMLElement;

class BookmarkEditorHierarchical : public BookmarkEditor
{
    Q_OBJECT
public:
    // note: ownership of 'bookmarks' is transferred!
    BookmarkEditorHierarchical( XMLElement *bookmarks, QWidget *parent, const char *name = 0 );
signals:
    void gotoBookmarkSignal( const QString &url );
protected slots:
    virtual void gotoBookmark();
    virtual void moveBookmarkDown();
    virtual void moveBookmarkIntoFolder();
    virtual void moveBookmarkOutOfFolder();
    virtual void moveBookmarkUp();
    virtual void newFolder();
    virtual void updateButtons();

protected:
    virtual void refill();
private:
    void setParent( BookmarkItem *item, BookmarkItem *newParent );
};

#endif //defined ENABLE_BOOKMARKS

#endif // defined __bookmarkeditorhierarchical_h__

/*
 * vim:et
 */

