/*  This file is part of the KDE project
    Copyright (C) 2005-2006 ROAD Gmbh <info@road-gmbh.de>
    Copyright (C) 2005-2006 basysKom Gmbh <info@basyskom.com>

    This library is free software; you can redistribute it and/or
    modify it under the terms of the GNU Library General Public
    License as published by the Free Software Foundation; either
    version 2 of the License, or (at your option) any later version.

    This library is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
    Library General Public License for more details.

    You should have received a copy of the GNU Library General Public License
    along with this library; see the file COPYING.LIB.  If not, write to
    the Free Software Foundation, Inc., 51 Franklin Street, Fifth Floor,
    Boston, MA 02110-1301, USA.
*/

#ifndef __websearcher_h__
#define __websearcher_h__

struct SearchEngineData {
    QPixmap pixmap;
    KURL baseSearchURL;
    QString baseQuery;
};

class QLineInput;

class WebSearcher : public QObject
{
    Q_OBJECT
public:
    WebSearcher( ModeBar* parent, const char *name=0 );
    void activate( QLineEdit *input, int searchEngineIndex );
    uint getNumEngines() const;
    SearchEngineData *getEngineData( uint );
public slots:
    void search();
    void connectView( View *view );
private:
    void initSearchEngineList();

    ModeBar *m_modeBar;
    uint m_activeSearchEngineIdx;
    QPtrVector<SearchEngineData> m_engines;
    QGuardedPtr<View> m_view;

    static const QChar ENGINE_DESC_SEPARATOR;
    static const uint NUM_ITEMS_IN_ENGINE_DESC;
};

#endif
